Summary:	A version of the MIT Athena widget set for X
Name:		Xaw3d
Version:	1.5E
Release:	%mkrel 6
Group:		System/Libraries
BuildRequires:	X11-devel xpm-devel bison flex imake

Source0:	ftp://ftp.x.org/contrib/widgets/Xaw3d/R6.3/%{name}-%{version}.tar.bz2
#Patch0:	Xaw3d-1.1-shlib.patch.bz2
Patch1:		Xaw3d-1.3-glibc.patch.bz2
Patch2:		Xaw3d-1.5E-xorg-imake.patch.bz2

Url:            ftp://ftp.x.org/contrib/widgets/Xaw3d/
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.

#
# (fg) Lib policy stuff
#

%define major 7
%define libname %mklibname %{name} %{major}

%package -n	%{libname}
Summary:	A version of the MIT Athena widget set for X
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name}

%description -n	%{libname}
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.

%package -n	%{libname}-devel
Summary:	Header files and static libraries for development using Xaw3d
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel lib%{name}-devel
Obsoletes:	%{name}-devel


%description -n	%{libname}-devel
Xaw3d is an enhanced version of the MIT Athena widget set for
the X Window System.  Xaw3d adds a three-dimensional look to those
applications with minimal or no source code changes. Xaw3d-devel includes
the header files and static libraries for developing programs that take
full advantage of Xaw3d's features.

You should install Xaw3d-devel if you are going to develop applications
using the Xaw3d widget set.  You'll also need to install the Xaw3d
package.

%prep
%setup -q -c
cd xc/lib/Xaw3d
#%patch0 -p0
ln -s .. X11
%patch1 -p4
%patch2 -p0
 
%build
cd xc/lib/Xaw3d
xmkmf
%ifarch alpha
# alpha was giving internal compiler errors...
make CDEBUGFLAGS=""
%else
%make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"
%endif

%install
rm -rf $RPM_BUILD_ROOT
cd xc/lib/Xaw3d
%{makeinstall_std}


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel
if [ ! -d %{_prefix}/X11R6/include/X11/Xaw3d ] ; then
	rm -f %{_prefix}/X11R6/include/X11/Xaw3d
	ln -sf ../Xaw3d %{_prefix}/X11R6/include/X11
fi

%triggerpostun -- Xaw3d-devel < 1.3-17
rm -rf %{_prefix}/X11R6/include/X11/Xaw3d
ln -sf ../Xaw3d %{_prefix}/X11R6/include/X11

%files -n %{libname}
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%_libdir/*.so
%{_includedir}/X11/Xaw3d

%changelog
* Wed Aug  9 2006 Götz Waschk <waschk@mandriva.org> 1.5E-6mdv2007.0
- rebuild with fixed xmkmf

* Tue Jun 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.5E-5mdv2007.0
- fix buildrequires
- drop useless prereq

* Sun May 21 2006 Götz Waschk <waschk@mandriva.org> 1.5E-4mdk
- move files to the new X location

* Wed Jan  4 2006 Warly <warly@mandriva.com> 1.5E-3mdk
- Rebuild to fix 'parent not composite' problem (in application linked with libXaw3d

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.5E-2mdk
- Rebuild

* Thu Jan 13 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.5E-1mdk
- 1.5E
- add P2 from fedora
- drop P0
- drop static library

* Wed Jul 30 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5-13mdk
- BuildRequires: xpm-devel

* Tue Jul 22 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.5-12mdk
- rebuild
- macroize

* Thu Dec  5 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.5-11mdk
- use %%mklibname

* Fri Sep 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5-10mdk
- rpmlint fixes: strange-permission, hardcoded-library-path

* Fri Feb 23 2001 Francis Galiegue <fg@mandrakesoft.com> 1.5-9mdk
- Obsoletes and Provides Xaw3d

* Fri Feb 23 2001 Francis Galiegue <fg@mandrakesoft.com> 1.5-8mdk
- BuildRequires: flex, bison
- New library policy

* Wed Jan 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.5-7mdk
- BuildRequires: libxpm4-devel

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5-6mdk
- automatically added BuildRequires

* Mon Mar 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5-5mdk
- fix group.

* Sat Dec 18 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- adopted spec file to build on alpha (ifarch statement in build)
(pixel's rebuild)

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- build for new environment

* Sat Jul 17 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.5
- update download URL
- remove obsolete R6.3 patch

* Tue May 04 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS
- add de locale

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 21)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- added security/update patch from debian (the X11R6.3 patch). Thanks guys. :)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- handle the symlink with triggers instead of getting rid of it

* Mon Oct  5 1998 Jeff Johnson <jbj@redhat.com>
- remove backward compatible symlink.

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- fixed the bad symlink
- BuildRoot

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- don't lave an improper return code from %pre

* Mon Nov 03 1997 Cristian Gafton <gafton@redhat.com>
- take care of the old location of the Xaw3d includes in case that one exist
- updated Prereq: field

* Mon Oct 26 1997 Cristian Gafton <gafton@redhat.com
- fixed the -devel package for the right include files path

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- minor spec file cleanups

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- i18n widec.h patch needs to be applied on all systems

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- changed axp check to alpha

* Mon Jun 16 1997 Erik Troan <ewt@redhat.com>
- built against glibc
